# Interface MapviewControllerCustomInitArgs

interface MapviewControllerCustomInitArgs {
cameraFence?: Box3 | Sphere | null;
cameraType?: "auto" | "orthographic" | "perspective";
defaultDistance?: number;
defaultLatitude?: number;
defaultLongitude?: number;
intersectMeshCreator?: () => IntersectMeshInterface;
maxLatitude?: number | ((fov: number) => number);
minLatitude?: number | ((fov: number) => number);
}

- Defined in lib/five/controllers/mapview.ts:49

##### Index

### Properties

cameraFence?
cameraType?
defaultDistance?
defaultLatitude?
defaultLongitude?
intersectMeshCreator?
maxLatitude?
minLatitude?

## Properties

### `Optional` cameraFence

cameraFence?: Box3 | Sphere | null

相机电子围栏

- Defined in lib/five/controllers/mapview.ts:70

### `Optional` cameraType

cameraType?: "auto" | "orthographic" | "perspective"

相机类型 perspective 透视相机 orthographic 正交相机 auto 在俯视为正交相机， 斜视为透视相机(默认)

- Defined in lib/five/controllers/mapview.ts:66

### `Optional` defaultDistance

defaultDistance?: number

默认相机距离

- Defined in lib/five/controllers/mapview.ts:55

### `Optional` defaultLatitude

defaultLatitude?: number

默认俯仰角

- Defined in lib/five/controllers/mapview.ts:53

### `Optional` defaultLongitude

defaultLongitude?: number

默认水平角

- Defined in lib/five/controllers/mapview.ts:51

### `Optional` intersectMeshCreator

intersectMeshCreator?: () => IntersectMeshInterface

鼠标焦点环自定义创建器

- Defined in lib/five/controllers/mapview.ts:72

### `Optional` maxLatitude

maxLatitude?: number | ((fov: number) => number)

最大俯仰角

- Defined in lib/five/controllers/mapview.ts:57

### `Optional` minLatitude

minLatitude?: number | ((fov: number) => number)

最小俯仰角

- Defined in lib/five/controllers/mapview.ts:59